db_w.write({
        ("db_w", "prod_A1"): {
            'Comment': 'Normal activity, uncertainty lognormal',
            'name': 'prod_A1',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'A',
            'production amount': 1,
            'activity type': 'ordinary transforming activity',
            'exchanges': [
                {
                    'name': 'A',
                    'unit': 'kilogram',
                    'amount': 1.0,
                    'input': ('db_w', 'prod_A1'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'B',
                    'unit': 'kilogram',
                    'amount': 0.2,
                    'input': ('db_w', 'prod_A2'),
                    'type': 'production',
                    'uncertainty type': 2,
                    'loc': np.log(0.2),
                    'scale': 0.1,
                },
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -0.2,
                    'input': ('db_w', 'treat_market'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(np.abs(-0.2)),
                    'scale': 0.1,
                    'negative': True
                },
                {
                    'name': 'emission',
                    'unit': 'kilogram',
                    'amount': 1,
                    'input': ('biosphere', 'emission'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(1),
                    'scale': 0.1,
                },
                {
                    'name': 'water_in',
                    'unit': 'cubic meter',
                    'amount': 1,
                    'input': ('biosphere', 'water_in'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(1),
                    'scale': 0.1,
                },
                {
                    'name': 'water_out',
                    'unit': 'cubic meter',
                    'amount': 1,
                    'input': ('biosphere', 'water_out'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(1),
                    'scale': 0.1,
                }
            ],
        },
        ("db_w", "prod_A2"): {
            'Comment': 'Normal activity, uncertainty triangular',
            'name': 'prod_A2',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'A',
            'production amount': 1,
            'activity type': 'ordinary transforming activity',
            'exchanges': [
                {
                    'name': 'A',
                    'unit': 'kilogram',
                    'amount': 1.0,
                    'input': ('db_w', 'prod_A2'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -0.3,
                    'input': ('db_w', 'treat_market'),
                    'type': 'technosphere',
                    'uncertainty type': 5,
                    'loc': -0.2,
                    'minimum': -0.3,
                    'maximum': -0.1,
                },
                {
                    'name': 'emission',
                    'unit': 'kilogram',
                    'amount': 2,
                    'input': ('biosphere', 'emission'),
                    'type': 'biosphere',
                    'uncertainty type': 5,
                    'loc': 2,
                    'minimum': 1,
                    'maximum': 3,
                },
                {
                    'name': 'land_from',
                    'unit': 'square meter',
                    'amount': 1,
                    'input': ('biosphere', 'land_from'),
                    'type': 'biosphere',
                    'uncertainty type': 5,
                    'loc': 1,
                    'minimum': 0.5,
                    'maximum': 1.5,
                },
                {
                    'name': 'land_to',
                    'unit': 'square meter',
                    'amount': 1,
                    'input': ('biosphere', 'land_to'),
                    'type': 'biosphere',
                    'uncertainty type': 5,
                    'loc': 1,
                    'minimum': 0.5,
                    'maximum': 1.5,
                },
            ],
        },
        ("db_w", "prod_Amarket"): {
            'Comment': 'market activity',
            'name': 'prod_Amarket',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'A',
            'production amount': 1,
            'activity type': 'market activity',
            'exchanges': [
                {
                    'name': 'A',
                    'unit': 'kilogram',
                    'amount': 1.0,
                    'input': ('db_w', 'prod_Amarket'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'A', # input from prod_A1
                    'unit': 'kilogram',
                    'amount': 0.5,
                    'input': ('db_w', 'prod_A1'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.5),
                    'scale': 0.1
                },
                {
                    'name': 'A', # input from prod_A2
                    'unit': 'kilogram',
                    'amount': 0.5,
                    'input': ('db_w', 'prod_A2'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.5),
                    'scale': 0.1
                },
                {
                    'name': 'A', # input from self, to compensate losses
                    'unit': 'kilogram',
                    'amount': 0.1,
                    'input': ('db_w', 'prod_Amarket'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.1),
                    'scale': 0.1
                },
                {
                    'name': 'W', # losses
                    'unit': 'kilogram',
                    'amount': -0.1,
                    'input': ('db_w', 'treat_market'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.1),
                    'scale': 0.1,
                    'negative': True
                },
            ],
        },
        ("db_w", "prod_B"): {
            'Comment': 'Normal activity, uncertainty lognormal',
            'name': 'prod_B',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'B',
            'production amount': 1,
            'activity type': 'ordinary transforming activity',
            'exchanges': [
                {
                    'name': 'B',
                    'unit': 'kilogram',
                    'amount': 1.0,
                    'input': ('db_w', 'prod_B'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'A',
                    'unit': 'kilogram',
                    'amount': 0.1,
                    'input': ('db_w', 'prod_Amarket'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.1),
                    'scale': 0.1,
                },
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -0.1,
                    'input': ('db_w', 'treat_market'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(np.abs(-0.1)),
                    'scale': 0.1,
                    'negative': True
                },
                {
                    'name': 'emission',
                    'unit': 'kilogram',
                    'amount': 4,
                    'input': ('biosphere', 'emission'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(4),
                    'scale': 0.1,
                },
            ],
        },
        ("db_w", "treat_1"): {
            'Comment': 'Normal treatment activity, uncertainty lognormal',
            'name': 'treatment 1',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'W',
            'production amount': -1,
            'activity type': 'ordinary transforming activity',
            'exchanges': [
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -1.0,
                    'input': ('db_w', 'treat_1'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'B',
                    'unit': 'kilogram',
                    'amount': 0.1,
                    'input': ('db_w', 'prod_B'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.1),
                    'scale': 0.1,
                },
                {
                    'name': 'emission',
                    'unit': 'kilogram',
                    'amount': 5,
                    'input': ('biosphere', 'emission'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(5),
                    'scale': 0.1,
                },
            ],
        },
        ("db_w", "treat_2"): {
            'Comment': 'Normal treatment activity, uncertainty lognormal',
            'name': 'treatment 2',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'W',
            'production amount': -1,
            'activity type': 'ordinary transforming activity',
            'exchanges': [
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -1.0,
                    'input': ('db_w', 'treat_2'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'B',
                    'unit': 'kilogram',
                    'amount': 0.2,
                    'input': ('db_w', 'prod_B'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'loc': np.log(0.1),
                    'scale': 0.1,
                },
                {
                    'name': 'emission',
                    'unit': 'kilogram',
                    'amount': 6,
                    'input': ('biosphere', 'emission'),
                    'type': 'biosphere',
                    'uncertainty type': 2,
                    'loc': np.log(6),
                    'scale': 0.1,
                },
            ],
        },
        ("db_w", "treat_market"): {
            'Comment': 'treatment market, uncertainty lognormal',
            'name': 'treatment market',
            'unit': 'kilogram',
            'location': 'GLO',
            'reference product': 'W',
            'production amount': -1,
            'activity type': 'market activity',
            'exchanges': [
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -1.0,
                    'input': ('db_w', 'treat_market'),
                    'type': 'production',
                    'uncertainty type': 0,
                },
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -0.5,
                    'input': ('db_w', 'treat_1'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'scale': 0.1,
                    'loc': np.log(1),
                    'negative': True
                },
                {
                    'name': 'W',
                    'unit': 'kilogram',
                    'amount': -0.5,
                    'input': ('db_w', 'treat_2'),
                    'type': 'technosphere',
                    'uncertainty type': 2,
                    'scale': 0.1,
                    'loc': np.log(1),
                    'negative': True
                },
            ],
        },
    })